@charset "utf-8";

/* Pix UI */
@import 'pix-design-tokens';

// global
@import 'globals/colors';
@import 'globals/buttons';
@import 'globals/layout';
@import 'globals/competences';
@import 'globals/errors';
@import 'globals/forms';
@import 'globals/icons';
@import 'globals/pages';
@import 'globals/shadows';
@import 'globals/panels';
@import 'globals/pix-loader';
@import 'globals/tables';
@import 'globals/texts';
@import 'globals/titles';

// components
@import 'components/ui';
@import 'components/ui/last-participation-date-tooltip.scss';
@import 'components/login-form';
@import 'components/campaign';
@import 'components/current-organization';
@import 'components/edit-student-number-modal';
@import 'components/dropdown';
@import 'components/indicator-card';
@import 'components/join-request-form';
@import 'components/layout/footer';
@import 'components/layout/organization-credit-info';
@import 'components/layout/sidebar';
@import 'components/layout/topbar';
@import 'components/layout/user-logged-menu';
@import 'components/organization-learner';
@import 'components/pagination-control';
@import 'components/participant';
@import 'components/previous-page-button';
@import 'components/pix-score-tag';
@import 'components/progress-bar';
@import 'components/register-form';
@import 'components/search-input';
@import 'components/team';
@import 'components/login-or-register';
@import 'components/manage-authentication-method-modal';
@import 'components/participation-filters';

// pages
@import 'pages/login';
@import 'pages/join';
@import 'pages/join-request';
@import 'pages/authenticated';
@import 'pages/authenticated/campaigns/campaign';
@import 'pages/authenticated/campaigns/create-form';
@import 'pages/authenticated/campaigns/new';
@import 'pages/authenticated/campaigns/new-item';
@import 'pages/authenticated/campaigns/list';
@import 'pages/authenticated/campaigns/update';
@import 'pages/authenticated/campaigns/details/activity';
@import 'pages/authenticated/campaigns/details/analysis';
@import 'pages/authenticated/campaigns/details/assessment-results';
@import 'pages/authenticated/campaigns/details/profile-results';
@import 'pages/authenticated/campaigns/details/participants';
@import 'pages/authenticated/campaigns/details/participants/participant';
@import 'pages/authenticated/campaigns/details/participants/participant/header';
@import 'pages/authenticated/campaigns/details/participants/participant/results';
@import 'pages/authenticated/campaigns/participant-profile';
@import 'pages/authenticated/organization-participants/organization-participant.scss';
@import 'pages/authenticated/sco-organization-participants/sco-organization-participant.scss';
@import 'pages/authenticated/sup-organization-participants/sup-organization-participant.scss';
@import 'pages/authenticated/certifications';
@import 'pages/authenticated/organization-participants';
@import 'pages/authenticated/sup-organization-participants/list';
@import 'pages/authenticated/sup-organization-participants/import';
@import 'pages/authenticated/sco-organization-participants/list';
@import 'pages/authenticated/preselect-target-profile';
@import 'pages/authenticated/team';
@import 'pages/authenticated/team/list';
@import 'pages/authenticated/team/invitations-list';
@import 'pages/authenticated/team/new';
@import 'pages/authenticated/terms-of-service';
@import "ecriplusOrga";


body, html {
  height: 100%;
}

body {
  background-color: $pix-neutral-10;
  color: $pix-neutral-110;
}

input:invalid {
  box-shadow: none;
}

@include device-is('mobile') {
  .hide-on-mobile {
    display: none;
  }
}
